import os
import shutil
import sys
import subprocess


def main():
    if sys.platform == "win32":
        os.environ['MV'] = "mmove"
        os.environ['RM'] = "rrm"
        base_dir = os.path.join(os.path.abspath(os.path.dirname(__file__)), "make")
        make = os.path.join(base_dir, "make.exe")
        if base_dir not in sys.path:
            sys.path.insert(0, base_dir)
    else:
        make = shutil.which('make')
        if make is None:
            raise FileNotFoundError("make not found. Please make. For linux, this is done with sudo apt install make or yum install make")
    if len(sys.argv) > 1:
        sys.exit(subprocess.call([make] + sys.argv[1:]))
    else:
        sys.exit(subprocess.call([make]))


if __name__ == "__main__":
    main()