import sys
from distutils.core import setup
from setuptools import find_packages


authors = [
    ("Clinton Collins", "ccollins@idmod.org")
]


console_scripts = []

extras = dict()
if sys.platform == "win32":
    console_scripts.extend([
        "pymake=idm_buildtools.make:main",
        "idm-make=idm_buildtools.make:main"
        "mv=idm_buildtools.utils:move",
        "mmove=idm_buildtools.utils:move",
        "which=idm_buildtools.utils:which",
        "mkdir=idm_buildtools.utils:mkdir",
        "rm=idm_buildtools.utils:rm",
        "rrm=idm_buildtools.utils:rm"
    ])
    extras['entry_points'] = dict(console_scripts=console_scripts)


setup(
    classifiers=[
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
    ],
    description="Mostly GNU Make compatible make",
    include_package_data=True,
    keywords='build_tools',
    name='idm_buildtools',
    packages=find_packages(exclude=["tests"]),
    test_suite='tests',
    url='https://github.com/InstituteforDiseaseModeling/mozilla-pymake',
    version='1.0.0',
    **extras
)
